Subject: Re: git clone stable-2.6.25.y fails over HTTP

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Jun 2008 14:00:09 -0700

Greg KH <[email-masked]> writes:

> On Thu, Jun 05, 2008 at 02:26:11PM -0700, Junio C Hamano wrote:
>
>> However, I think /pub/scm/linux/kernel/git/torvalds/linux-2.6.git/ would
>> result in the same breakage, and that is something I consider gravely
>> broken.
>
> Yeah, especially as I never realized that /pub/ was a symlink in the
> first place :)

And it was even worse than that.  Even if you knew /pub was a symlink, you
could not have done anything about it, short of editing the alternates
file in the resulting repository by hand.

Up until now, that is.

Daniel's patch seems to fix the issue for me and it will be included in
tonight's pushout among other fixes.

Thanks.